%define debug_package %{nil} 

Name: libfdata
Version: 20220111
Release: 1%{?dist}
Summary: Library to provide generic file data functions
Group: System Environment/Libraries
License: LGPLv3+
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libfdata
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf automake pkgconfig gettext-devel libtool 
BuildRequires: gcc

%description -n libfdata
Library to provide generic file data functions

%package -n libfdata-static
Summary: Library to provide generic file data functions
Group: Development/Libraries
Requires: libfdata = %{version}-%{release}

%description -n libfdata-static
Static library version of libfdata.

%package -n libfdata-devel
Summary: Header files and libraries for developing applications for libfdata
Group: Development/Libraries
Requires: libfdata = %{version}-%{release}

%description -n libfdata-devel
Header files and libraries for developing applications for libfdata.

%prep
%setup -q

%build
[[ -f synclibs.sh ]] && sh synclibs.sh
[[ -f autogen.sh  ]] && sh autogen.sh
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libfdata
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files -n libfdata-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a

%files -n libfdata-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfdata.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Tue Jan 11 2022 Joachim Metz <joachim.metz@gmail.com> 20220111-1
- Auto-generated

